#pragma once

#include "Framework.h"

class Bullet :
	public GameObject
{
	friend class BulletManager;
public:
	Bullet(MainState* mainState);
	~Bullet(void);

public:
	void Reset();

public:
	void Update(float dt);
	void Draw(float dt);

private:
	static GameImage m_bullet;
	float moveangle;
};